
QGIS Application - Bug report #656

qgis crashes if panning during polygon creation

2007-03-14 12:00 PM - rhys-stewart-gmail-com -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10715

Description

During polygon creation if the panning tool is selected and used and then the draw polygon tool is subsequently selected qgis crashes.

History

#1 - 2007-03-16 06:20 PM - Gary Sherman

Are you digitizing a shapefile or [[PostGIS]] layer?

#2 - 2007-03-18 06:14 AM - Tim Sutton

Heres a stack trace from the mac - no debugging support in this build sorry....

0   libqgis_core.dylib      0x01c390b9 std::_Deque_iterator<QgsPoint, [[QgsPoint]]&, [[QgsPoint]]*>::difference_type std::operator-<QgsPoint,

[[QgsPoint]]&, [[QgsPoint]]*, [[QgsPoint]]&, [[QgsPoint]]*>(std::_Deque_iterator<QgsPoint, [[QgsPoint]]&, [[QgsPoint]]*> const&,

std::_Deque_iterator<QgsPoint, [[QgsPoint]]&, [[QgsPoint]]*> const&) + 17

1   libqgis_core.dylib      0x01c3912a std::deque<QgsPoint, std::allocator<QgsPoint> >::size() const + 30

2   libqgis_core.dylib      0x01afef7a [[QgsRubberBand]]::movePoint(QgsPoint const&) + 20

3   libqgis_core.dylib      0x01ad5121 [[QgsMapToolCapture]]::canvasMoveEvent(QMouseEvent*) + 373

4   libqgis_core.dylib      0x01ac95ed [[QgsMapCanvas]]::contentsMouseMoveEvent(QMouseEvent*) + 127

#3 - 2007-07-22 03:47 PM - Redmine Admin

Replying to [comment:1 gsherman]:

Are you digitizing a shapefile or [[PostGIS]] layer?

It was a postgis layer.

But I can't duplicate the crash in the svn versions, so can this be closed?

#4 - 2007-11-23 12:36 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed
Seems to be fixed.

#5 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
